### Method

# Ggit Rebase get_operation_by_index

#### Declaration [src]

    GgitRebaseOperation*
    ggit_rebase_get_operation_by_index (
      GgitRebase* rebase,
      gsize idx
    )

#### Description [src]

Gets the rebase operation specified by `idx`.

#### Parameters

`idx`

  Type: `gsize`

  The index of the rebase operation to retrieve.

#### Return value

Type: `GgitRebaseOperation`

The rebase operation or `NULL` if `idx` was out of bounds.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.